Get a stocktaking control list
Get a stocktaking control list
Required permissions: STOCKTAKING
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+stocktakingUidstringRequiredPattern:
Reference to a Stocktaking.
^[A-Za-z0-9-_]+Query parameters
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
hasDiffbooleanOptional
Only return stocktaking items with diff
hasRegistrationsbooleanOptional
Only return stocktaking items with registrations
Responses
200
Example response
application/json
StocktakingControlResponseSchema
createdAtstring · date-timeRequired
createdBystringRequired
descriptionstringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
statusstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Stock counting not started |
| IN_PROGRESS | Stock counting is in progress. Registraions can be made. |
| COMPLETE | Stock counting is complete |
| DELETED | Stock counting is deleted, stock not adjusted |
| CONTROL | Stock counting is in control mode, no further registrations can be made |
stocktakingUidstringRequiredPattern:
^[A-Za-z0-9-_]+warehouseUidstringRequiredPattern:
^[A-Za-z0-9-_]+withStockbooleanRequired
get/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control
GET /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/control HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"totals": {
"productsWithPositiveDiffCount": 1,
"positiveDiffAmount": 1,
"productsWithNegativeDiffCount": 1,
"negativeDiffAmount": 1,
"stockValueAtStart": 1,
"stockValueRegistered": 1
},
"items": [
{
"costPrice": 1,
"brandName": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"name": "text",
"note": "text",
"productGroupName": "text",
"productUid": "text",
"quantityDiff": 1,
"quantityRegistered": 1,
"quantityStock": 1,
"sku": "text",
"stocktakingItemUid": "text"
}
],
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
},
"status": "NOT_STARTED",
"stocktakingUid": "text",
"warehouseUid": "text",
"withStock": true
}Last updated
Was this helpful?

